- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionQ3DockWindow Class Reference

Search for all occurrences

## Detailed Description

Definition at line 488 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionQ3DockWindow:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Q3DockWindow }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionQ3DockWindow ()
| QStyleOptionQ3DockWindow (const QStyleOptionQ3DockWindow &other)
## Public Attributes
bool | docked
bool | closeEnabled
## Protected Member Functions
| QStyleOptionQ3DockWindow (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 491 of file qstyleoption.h.

    { Type = SO_Q3DockWindow };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 492 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionQ3DockWindow | ( |  | ) |

QStyleOptionQ3DockWindow | ( | const QStyleOptionQ3DockWindow & | other | ) | `[inline]`

Definition at line 498 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionQ3DockWindow | ( | int | version | ) | `[protected]`

## Member Data Documentation

bool docked

Search for all occurrences

Definition at line 494 of file qstyleoption.h.

bool closeEnabled

Search for all occurrences

Definition at line 495 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow
QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow QStyleOptionQ3DockWindow